import {StyleSheet, View} from 'react-native';
import React from 'react';

const SafecamCircle = ({radius = 10, backgroundColor = 'gray', ...props}) => {
  const styles = StyleSheet.create({
    root: {
      ...props.style,
      height: radius,
      width: radius,
      backgroundColor,
      borderRadius: radius / 2,
    },
  });

  return (
    <View {...props} style={styles.root}>
      {props.children}
    </View>
  );
};

export default SafecamCircle;
